#
# spec file for package python-coveralls
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without test
Name:           python-coveralls
Version:        1.2.0
Release:        4.1
Summary:        Module for showing coverage stats online via coverallsio
License:        MIT
Group:          Development/Languages/Python
Url:            http://github.com/coveralls-clients/coveralls-python
Source:         https://files.pythonhosted.org/packages/source/c/coveralls/coveralls-%{version}.tar.gz
BuildRequires:  %{python_module pytest-runner}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
%if %{with test}
BuildRequires:  %{python_module coverage >= 3.6}
BuildRequires:  %{python_module docopt >= 0.6.1}
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module requests >= 1.0.0}
BuildRequires:  %{python_module sh >= 1.08}
%endif
BuildRequires:  fdupes
Requires:       python-coverage >= 3.6
Requires:       python-docopt >= 0.6.1
Requires:       python-requests >= 1.0.0
Suggests:       python-urllib3
Suggests:       python-PyYAML >= 3.10
BuildArch:      noarch

%python_subpackages

%description
Coveralls.io is a service to publish coverage stats online.
This package provides integration with coverage.py in Python projects.

The module makes custom report for data generated by the coverage.py
package and sends it to the json API of the coveralls.io service. All
Python files in the coverage analysis are posted to this service,
along with coverage stats, so do not upload what you do not intend
to. (For private projects, there is Coveralls Pro.)

%prep
%setup -q -n coveralls-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%defattr(-,root,root,-)
%doc CHANGELOG.rst README.rst
%license LICENSE.txt
%python3_only %{_bindir}/coveralls
%{python_sitelib}/*

%changelog
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Thu Jun  7 2018 jengelh@inai.de
- Generalize the description for any use case and replace weird
  non-telling phrases like "ruin your security".
* Thu May  3 2018 toddrme2178@gmail.com
- Use %%license tag
* Wed Aug 23 2017 t.gruner@katodev.de
- Initial release 1.2.0
